## xarray-sentinel 0.9.3+ds

=== debian/changelog ===
xarray-sentinel (0.9.3+ds-4) unstable; urgency=medium

  * Skip tests requiring large memory.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Thu, 18 Aug 2022 07:26:29 +0000

xarray-sentinel (0.9.3+ds-3) unstable; urgency=medium

  * Add missing dependency on python3-pytest in d/tests/control.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Wed, 17 Aug 2022 06:29:34 +0000

xarray-sentinel (0.9.3+ds-2) unstable; urgency=medium

  * Team upload.
  * Source-only upload.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 16 Aug 2022 13:55:44 +0200

xarray-sentinel (0.9.3+ds-1) unstable; urgency=low

  * Initial release (Closes: #1016757).

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Mon, 08 Aug 2022 20:09:50 +0000
