=== debian/rules ===
#! /usr/bin/make -f

include /usr/share/dpkg/pkg-info.mk

export PYBUILD_NAME=xarray-sentinel
export PYBUILD_TEST_ARGS=-k "\
not test_mosaic_slc_iw \
and not test_to_group_netcdf \
and not test_open_dataset_zip_data \
and not test_to_group_zarr" \
$(CURDIR)/tests

export SETUPTOOLS_SCM_PRETEND_VERSION=$(DEB_VERSION_UPSTREAM:+ds=)

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_auto_clean:
	dh_auto_clean
	$(RM) -r *.egg-info
	$(RM) xarray_sentinel/version.py
