## xarray-sentinel 0.9.5%2Bds

=== debian/control ===
Source: xarray-sentinel
Section: python
Priority: optional
Maintainer: Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>
Uploaders: Antonio Valentino <antonio.valentino@tiscali.it>
Rules-Requires-Root: no
Testsuite: autopkgtest-pkg-pybuild
Build-Depends: debhelper-compat (= 13),
               dh-python,
               dh-sequence-numpy3,
               dh-sequence-python3,
               pybuild-plugin-pyproject,
               python3-all,
               python3-dask,
               python3-fsspec (>= 2021.4.0),
               python3-netcdf4 <!nocheck>,
               python3-numpy,
               python3-pandas,
               python3-pytest <!nocheck>,
               python3-rasterio (>= 1.3.0),
               python3-rioxarray,
               python3-setuptools,
               python3-setuptools-scm,
               python3-shapely <!nocheck>,
               python3-xarray (>= 0.18.0),
               python3-xmlschema (>= 1.9.0),
               python3-zarr <!nocheck>
Standards-Version: 4.7.2
Vcs-Browser: https://salsa.debian.org/debian-gis-team/xarray-sentinel
Vcs-Git: https://salsa.debian.org/debian-gis-team/xarray-sentinel.git
Homepage: https://github.com/bopen/xarray-sentinel

Package: python3-xarray-sentinel
Architecture: all
Depends: ${python3:Depends},
         ${misc:Depends}
Recommends: python3-dask,
            python3-netcdf4,
            python3-shapely,
            python3-zarr
Description: Easily access SAR data products of the Copernicus Sentinel-1 satellite mission
 Easily access and explore the SAR data products of the Copernicus Sentinel-1
 satellite mission in Python.
 xarray-sentinel is a Python library and Xarray backend with the following
 functionalities:
 .
   * supports the following data products as distributed by ESA:
     - Sentinel-1 Ground Range Detected (GRD):
       * Stripmap (SM)
       * Interferometric Wide Swath (IW)
       * Extra Wide Swath (EW)
     - Sentinel-1 Single Look Complex (SLC) SM/IW/EW
   * creates ready-to-use Xarray `Dataset`s that map the data
     lazily and efficiently in terms of both memory usage and disk/network
     access
   * reads all SAR imagery data: GRD images, SLC swaths and SLC bursts
   * reads several metadata elements:
     satellite orbit and attitude, ground control points, radiometric
     calibration look up tables, Doppler centroid estimation and more
   * reads uncompressed and compressed SAFE data products on the local
     computer or on a network via fsspec
   * supports larger-than-memory and distributed data access via Dask and
     rioxarray / rasterio / GDAL
   * provides a few helpers for simple operations involving metadata like
     cropping individual bursts out of IW SLC swaths, applying radiometric
     calibration polynomials, converting slant to ground range for GRD
     products and computing geospatial metadata.
