## xarray-sentinel 0.9.5+ds

=== debian/changelog ===
xarray-sentinel (0.9.5+ds-1) unstable; urgency=medium

  * New upstream release.
  * debian/patches:
    - drop 0001-Shebang.patch and 0002-Package-data.patch,
      applied upstream.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Fri, 18 Nov 2022 13:27:45 +0000
