=== debian/control ===
--- 
+++ 
@@ -4,36 +4,34 @@
 Maintainer: Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>
 Uploaders: Antonio Valentino <antonio.valentino@tiscali.it>
 Rules-Requires-Root: no
-Testsuite: autopkgtest-pkg-pybuild
-Build-Depends: debhelper-compat (= 13),
+Testsuite: autopkgtest-pkg-python
+Build-Depends: debhelper-compat (= 12),
                dh-python,
-               dh-sequence-numpy3,
-               dh-sequence-python3,
                pybuild-plugin-pyproject,
                python3-all,
                python3-dask,
                python3-fsspec (>= 2021.4.0),
-               python3-netcdf4 <!nocheck>,
+               python3-netcdf4,
                python3-numpy,
                python3-pandas,
-               python3-pytest <!nocheck>,
+               python3-pytest,
                python3-rasterio (>= 1.3.0),
                python3-rioxarray,
                python3-setuptools,
                python3-setuptools-scm,
-               python3-shapely <!nocheck>,
+               python3-shapely,
                python3-xarray (>= 0.18.0),
                python3-xmlschema (>= 1.9.0),
-               python3-zarr <!nocheck>
-Standards-Version: 4.7.2
+               python3-zarr
+Standards-Version: 4.6.1
 Vcs-Browser: https://salsa.debian.org/debian-gis-team/xarray-sentinel
 Vcs-Git: https://salsa.debian.org/debian-gis-team/xarray-sentinel.git
 Homepage: https://github.com/bopen/xarray-sentinel
 
 Package: python3-xarray-sentinel
 Architecture: all
-Depends: ${python3:Depends},
-         ${misc:Depends}
+Depends: ${misc:Depends},
+         ${python3:Depends}
 Recommends: python3-dask,
             python3-netcdf4,
             python3-shapely,
