=== debian/rules ===
--- 
+++ 
@@ -1,5 +1,5 @@
 #! /usr/bin/make -f
-
+export DH_VERBOSE=1
 include /usr/share/dpkg/pkg-info.mk
 
 export PYBUILD_NAME=xarray-sentinel
