=== debian/tests/control ===
Tests: python3
Depends: @, python3-all, python3-netcdf4, python3-shapely, python3-xmlschema, python3-pytest
