=== debian/changelog ===
xarray-sentinel (0.9.6~rc1+ds-1) unstable; urgency=medium

  [ Bas Couwenberg ]
  * Update lintian overrides.

  [ Antonio Valentino ]
  * New upstream release (Closes: #1114444).
  * Update dates in d/copyright.
  * debian/control:
    - Drop "Rules-Requires-Root: no", no longer needed.
    - Update dependencies.
  * debian/patches:
    - Drop 0002-Fix-compatibility-with-xarray-v2025.03.01.patch,
      applied upstream.
    - Refresh remaining patches.
  * debian/rules:
    - Skip tests requiring access to the internet.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sat, 27 Sep 2025 14:58:58 +0000

xarray-sentinel (0.9.5+ds-4) unstable; urgency=medium

  [ Bas Couwenberg ]
  * Bump Standards-Version to 4.7.2, no changes.

  [ Antonio Valentino ]
  * debian/patches:
    - Rename test_get_fs_path.patch into 0001-test_get_fs_path.patch.
    - New 0002-Fix-compatibility-with-xarray-v2025.03.01.patch
      (Closes: 1101633).
  * Update deates in d/copyright.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sun, 06 Apr 2025 15:01:32 +0000

xarray-sentinel (0.9.5+ds-3) unstable; urgency=medium

  [ Antonio Valentino ]
  * Improve lintian overrides.
  * Switch to autopkgtest-pkg-pybuild.

  [ Bas Couwenberg ]
  * Switch to dh-sequence-*.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Fri, 15 Dec 2023 07:04:07 +0000

xarray-sentinel (0.9.5+ds-2) unstable; urgency=medium

  [ Bas Couwenberg ]
  * Enable numpy3 dh helper.
  * Enable Salsa CI.
  * Bump Standards-Version to 4.6.2, no changes.
  * Bump debhelper compat to 13.
  * Remove generated files in clean target.
  * Add patch to fix FTBFS due to test failure.
    (closes: #1044052)

  [ Antonio Valentino ]
  * d/control:
    - Use <!nocheck> marker.
  * New d/python3-xarray-sentinel.lintian-overrides.
  * Update d/copyright.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sun, 13 Aug 2023 17:39:25 +0000
