=== debian/control ===
--- 
+++ 
@@ -3,35 +3,38 @@
 Priority: optional
 Maintainer: Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>
 Uploaders: Antonio Valentino <antonio.valentino@tiscali.it>
-Rules-Requires-Root: no
-Testsuite: autopkgtest-pkg-python
-Build-Depends: debhelper-compat (= 12),
+Testsuite: autopkgtest-pkg-pybuild
+Build-Depends: debhelper-compat (= 13),
                dh-python,
+               dh-sequence-numpy3,
+               dh-sequence-python3,
                pybuild-plugin-pyproject,
                python3-all,
                python3-dask,
-               python3-fsspec (>= 2021.4.0),
-               python3-netcdf4,
+               python3-fsspec (>= 2023.1.0),
+               python3-netcdf4 <!nocheck>,
                python3-numpy,
                python3-pandas,
-               python3-pytest,
-               python3-rasterio (>= 1.3.0),
+               python3-pytest <!nocheck>,
+               python3-rasterio,
                python3-rioxarray,
+               python3-scipy,
                python3-setuptools,
                python3-setuptools-scm,
-               python3-shapely,
-               python3-xarray (>= 0.18.0),
-               python3-xmlschema (>= 1.9.0),
-               python3-zarr
-Standards-Version: 4.6.1
+               python3-shapely <!nocheck>,
+               python3-stac-validator <!nocheck>,
+               python3-xarray,
+               python3-xmlschema,
+               python3-zarr <!nocheck>
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/debian-gis-team/xarray-sentinel
 Vcs-Git: https://salsa.debian.org/debian-gis-team/xarray-sentinel.git
 Homepage: https://github.com/bopen/xarray-sentinel
 
 Package: python3-xarray-sentinel
 Architecture: all
-Depends: ${misc:Depends},
-         ${python3:Depends}
+Depends: ${python3:Depends},
+         ${misc:Depends}
 Recommends: python3-dask,
             python3-netcdf4,
             python3-shapely,
