=== debian/rules ===
#! /usr/bin/make -f

include /usr/share/dpkg/pkg-info.mk

export PYBUILD_NAME=xarray-sentinel
export PYBUILD_AFTER_BUILD=cp -R $(CURDIR)/xarray_sentinel/resources {build_dir}/xarray_sentinel
export PYBUILD_TEST_ARGS=\
-k "not test_mosaic_slc_iw \
and not test_to_group_netcdf \
and not test_open_dataset_zip_data \
and not test_to_group_zarr \
and not test_make_sentinel1_stac_item" \
$(CURDIR)/tests

export SETUPTOOLS_SCM_PRETEND_VERSION=$(shell echo $(DEB_VERSION_UPSTREAM:+ds=) | sed 's/~//')

%:
	dh $@ --buildsystem=pybuild
